<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(50,6,'Voucher Name',1,0,'C',true);
		$this->Cell(60,6,'Description',1,0,'C',true);
		$this->Cell(30,6,'Voucher Value',1,0,'C',true);
		$this->Ln(7);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,4,$col1,0,0,'C',true);
		$this->Cell(30,4,$col2,0,0,'',true);
		$this->Cell(50,4,$col3,0,0,'',true);
		$this->Cell(60,4,$col4,0,0,'',true);
		$this->Cell(30,4,$col5,0,0,'R',true);
		$this->Ln(5);
	}

	function subtotal ($sub1){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,5,'Subtotal',1,0,'C',true);
		$this->Cell(30,5,$sub1,1,0,'R',true);
		$this->Ln(6);
	}

	function total ($tot1){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$tot1,1,0,'R',true);

		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( $_POST['cabang'] != -1) {
	$wherecab = " (tblmutasi.KodeCabang = " . $_POST['cabang'] .") ";
} else {
	$wherecab = "";
}

if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$tanggal = date('Y-m-t', strtotime($tahun . '-' . $bulan . '-01' ) );
	// $wheretanggal = "YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan'";
	$wheretanggal = "tblmutasi.Input_DateTime <= '$tanggal 23:59:59'";
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '');
	$wheretanggal = "tblmutasi.Input_DateTime <= '$tanggal 23:59:59'";
}

if ($wherecab != ""){
	$wherecond = "WHERE " . $wherecab . " AND " . $wheretanggal;
} else {
	$wherecond = "WHERE " . $wheretanggal;
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Remaining Voucher Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');

$pdf->AddPage('P','A4');
$pdf->AliasNbPages();
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$debet = array();
$kredit = array();
//get database

	$perintahdb2 = "SELECT ID, Nama, Kode FROM tblpelang ORDER BY ID ASC";
	$sqlquery2 = DBQuery( $perintahdb2 );
	while ( ( $sqlrow2 = @DBFetchAssoc( $sqlquery2 ) ) ) {
		$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Debet AS Debet, tblmutasi.Kredit AS Kredit, tblmutasi.Catatan AS Catatan,  IF( Debet > 0, 'Top Up', 'Deduct' ) as Catatan2, (SELECT NamaCabang FROM tblcabang WHERE tblcabang.KodeCabang = tblmutasi.KodeCabang) AS Cabang";
		$perintahdb3 = "$select FROM tblmutasi $wherecond AND PelangID =" . $sqlrow2['ID'] . " ORDER BY tblmutasi.Debet DESC";
		$sqlquery3 = DBQuery( $perintahdb3 );
		$sisasaldo = 0;
		$debetpelang = 0;
		$kreditpelang = 0;
		while ( ( $sqlrow3 = @DBFetchAssoc( $sqlquery3 ) ) ) {
			$sisasaldo += $sqlrow3['Debet'] - $sqlrow3['Kredit'];
			if ( $sqlrow3['Debet'] > 0 ) {
				$tanggalinput = $sqlrow3['Input_DateTime'];
				$cabang = $sqlrow3['Cabang'];
				$catatan = $sqlrow3['Catatan'];
				$catatan2 = $sqlrow3['Catatan2'];
				$debetpelang = $sqlrow3['Debet'];
			}
			if ( $sisasaldo > 0 ) {
				$kreditpelang = $sqlrow3['Kredit'];
			}
		}
		if ( $sisasaldo > 0 ) {
			$pdf->Isi( @Date2JQueryDate($tanggalinput), $cabang,  $sqlrow2['Nama'] . ' - ' . $sqlrow2['Kode'] , $catatan2 . ( ( $catatan != '' ) ? ' - ' . $catatan : '' ), @ShowFormatDigitNumber($debetpelang));
			$debet[] = $debetpelang;
			$kredit[] = $kreditpelang;
		}
	}

$pdf->total( @ShowFormatDigitNumber(array_sum($debet)) );


$pdf->Output('Remaining Voucher Report ' . $detail .'.pdf','I');
?>